import { ReactNode } from 'react';
import { DOMProps } from '@voussoir/types';
import { BaseStyleProps } from '@voussoir/style';
declare const toneToIcon: {
    caution: JSX.Element;
    critical: JSX.Element;
    neutral: JSX.Element;
    positive: JSX.Element;
};
type NoticeTone = keyof typeof toneToIcon;
export type NoticeProps = {
    children: ReactNode;
    tone?: NoticeTone;
} & BaseStyleProps & DOMProps;
/**
 * Use notices to highlight information that affects a section, feature or page.
 * Draw attention without interrupting users from their current task.
 */
export declare function Notice(props: NoticeProps): JSX.Element;
export {};
